# Set account-wide variables. These are automatically pulled in to configure the remote state bucket in the root
# terragrunt.hcl configuration.
locals {
  account_name   = "afs-mdr-test-modelclient"
  account_alias  = "afs-mdr-test-modelclient"
  aws_account_id = "449047653882"
  splunk_prefix = "modelclient"

  account_tags = {
    "Client": local.splunk_prefix
  }
  c2_account_standards_path = "../../mdr-test-c2/005-account-standards-c2"

  # For CIDR assignment, see https://github.mdr.defpoint.com/mdr-engineering/msoc-infrastructure/wiki/IP-Address-Allocation
  vpc_info = {
    "vpc-splunk" = {
      name = "vpc-splunk",
      purpose = "Splunk Systems",
      cidr = "10.16.8.0/22",
      tgw_attached = true,
    }
  }
}
